Skip to main content
GET
/
accounting
/
creditNotes
/
{creditNoteId}
/
documents
cURL
curl --request GET \
  --url https://api.maesn.dev/accounting/creditNotes/{creditNoteId}/documents \
  --header 'X-ACCOUNT-KEY: <x-account-key>' \
  --header 'X-API-KEY: <x-api-key>'
import requests

url = "https://api.maesn.dev/accounting/creditNotes/{creditNoteId}/documents"

headers = {
"X-API-KEY": "<x-api-key>",
"X-ACCOUNT-KEY": "<x-account-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'X-API-KEY': '<x-api-key>', 'X-ACCOUNT-KEY': '<x-account-key>'}
};

fetch('https://api.maesn.dev/accounting/creditNotes/{creditNoteId}/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "meta": {
    "warnings": [
      "Field not used by target system"
    ],
    "pagination": {
      "total": 125,
      "perPage": 50,
      "currentPage": 1,
      "totalPages": 3
    }
  },
  "data": [
    {
      "id": "document id",
      "base64Encoded": true,
      "content": "content",
      "contentType": "application/pdf",
      "fileName": "invoice.pdf"
    }
  ]
}

Field support per integration

Please note that the content in output is base64-encoded.
Supported response fields:
fileName
string
contentType
string
base64Encoded
boolean
content
string
Supported response fields:
fileName
string
contentType
string
base64Encoded
boolean
content
string

Headers

X-API-KEY
string
required

API key

X-ACCOUNT-KEY
string
required

Account key

Path Parameters

creditNoteId
string
required

Query Parameters

environmentName
string
companyId
string

Response

200 - application/json
meta
object
data
object[]
Last modified on July 9, 2026